### 命令

npm install 依赖安装

npm run build 打包

npm run dev   本地运行

npm run preview 本地预览打包完的文件

### 如何添加模块

添加一个子应用至 modules ，子应用首页如下设置说明模块名

``` vue
<route>
{
  meta: {
    title: '自助服务'
  }
}
</route>
```

---
### 打包流程
第2步可以通过脚本批量修改： 项目根目录下执行 node .\delDistModule.js 

1. 到 package.json 执行相应模块的打包命令, 打包模块在 dist

2. 由于 vite 使用 ESM，故 index.html 作以下修改
  - 去除带有 type="module" 的行 （3行）
  - 去除关键字 nomodule 、crossorigin
  - 将 `<script nomodule crossorigin id="vite-legacy-entry" data-src="./assets/index-legacy.147c7483.js">System.import(document.getElementById('vite-legacy-entry').getAttribute('data-src'))</script>` 改为 `<script id="vite-legacy-entry" src="./assets/index-legacy.147c7483.js"></script>` (去除关键字，data-src 改为 src，script内容去除)

3. 模块包打包成 zip

4. [海马汇测试地址](http://handapptest.komatsu-fl.com.cn:8080/oauth/login) admin/Admin@123!  
  - 这上方网址下搜索功能 "子应用管理"，找到对应的模块，新建版本，提交 zip包 ，点击确认退出


  
### 配置文件参数
miniprogramId：'' 小程序的id值    
payPath：'' 小程序支付界面的路径（带支付参数）
miniprogramType：'' 小程序的版本，值分别为： 体验版传 2 , 开发版传 1, 正式版传 0

